//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "SybLogindlg.h"
#include <registry.hpp>
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TSybLoginDLG *SybLoginDLG;
//---------------------------------------------------------------------------
__fastcall TSybLoginDLG::TSybLoginDLG(TComponent* Owner)
        : TForm(Owner)
{
CheckForSybase();
}
//---------------------------------------------------------------------------
void __fastcall TSybLoginDLG::CancelButtClick(TObject *Sender)
{
ModalResult = mrCancel;
}
//---------------------------------------------------------------------------
void __fastcall TSybLoginDLG::LoginButtClick(TObject *Sender)
{
ModalResult = mrOk;
}

//---------------------------------------------------------------------------
void __fastcall TSybLoginDLG::CheckForSybase()
{
TRegistry *MyReg;
AnsiString Path;
TStringList *SQLFile;
int i,j;
//bool test;

MyReg = new TRegistry;
SQLFile = new TStringList;

try                              // HKEY_LOCAL_MACHINE\SOFTWARE\SYBASE\Setup
  {
  MyReg->RootKey = HKEY_LOCAL_MACHINE;
  if (MyReg->OpenKeyReadOnly("\\SOFTWARE\\SYBASE\\Setup")==false)
    {
     MessageDlg("You do not have Sybase Open Client installed on this machine.",\
      mtWarning , TMsgDlgButtons() << mbOK , 0);
     return;
    }
  Path = MyReg->ReadString("SYBASE");
  MyReg->CloseKey();
  }
__finally
  {
  delete MyReg;
  }


try
  {
  SQLFile->LoadFromFile(Path+"\\INI\\Sql.ini");
  // now extract the database names
   ServerList->Items->Clear();

   for (i=0;i<SQLFile->Count;i++)
    {
     if (SQLFile->Strings[i].SubString(1,1)=="[")
       {
       j = SQLFile->Strings[i].AnsiPos("]");
        ServerList->Items->Add(SQLFile->Strings[i].SubString(2, j-2));
       }
    }
   }
__finally
  {
  delete SQLFile;
  }
}
//------------------------------------------------------------------------
void __fastcall TSybLoginDLG::UserKeyPress(TObject *Sender, char &Key)
{
 if(Key=='\r')Pass->SetFocus();
}
//---------------------------------------------------------------------------
void __fastcall TSybLoginDLG::PassKeyPress(TObject *Sender, char &Key)
{
 if(Key=='\r')ServerList->SetFocus();
}
//---------------------------------------------------------------------------
void __fastcall TSybLoginDLG::ServerListKeyPress(TObject *Sender,
      char &Key)
{
 if(Key=='\r')DataBase->SetFocus();
}
//---------------------------------------------------------------------------
void __fastcall TSybLoginDLG::DataBaseKeyPress(TObject *Sender, char &Key)
{
ModalResult = mrOk;
}
//---------------------------------------------------------------------------
